<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Admin extends CI_Controller 
{
	public function __construct() 
	{
		parent::__construct();
	   
		$this->load->database();
		$this->load->library("parser");
		//$this->load->library("Form_validation");
	
		$this->load->helper("url");
		$this->load->helper('form');
		$this->load->helper('text');
	
		//Cargando los modelos
		$this->load->model('Usuarios_Model');
		$this->load->model('Security_Model');
	}

	//Inicio de la aplicacion 
	public function index()
	{
		$data['titulo'] = 'login';
	    $data['sidebar'] = 'Ingreso al sistema';
		
		$this->load->view("admin/login", $data);
	}

	//Validacion del usuario y direccionamiento a la pagina principal de la aplicacion 
	public function post_login() 
	{
		$this->load->library('session');

		$login = $this->input->post('login');
		$clave = $this->input->post('clave');
				
		$fecha = date('Y/m/d');
		$hora  = time();
    	
		//Armando el arreglo $data 
		$data = array('4','null','null','null','null',$login,$clave); 
		$resultado=$this->Usuarios_Model->getUsuarioforParameter(null,null,$data);
		
		if(count($resultado)>0)
		{
			//Hay resultados incluir la sesion.
			$user    = $resultado[0]['IdUsuario'];
			$name    = $resultado[0]['Nombre']." ".$resultado[0]['Apellidos'];
			$profile = $resultado[0]['IdPerfil'];
			$hoteles = $resultado[0]['IdEstablecimiento'];
			
			$this->session->set_userdata('iduser',$user);
			$this->session->set_userdata('name',$name);
			$this->session->set_userdata('profile',$profile);
			$this->session->set_userdata('hoteles',$hoteles);
			
			print_r(json_encode(array("res"=>"ok","msg"=>"Usuario encontrado","calculo"=>"3000")));

		}else{
			
			print_r(json_encode(array("res"=>"bad","msg"=>"Usuario no encontrado","calculo"=>"3000")));
			
		}
	}

	public function home()
	{
		if ($this->session->userdata('iduser')=='') {
			redirect(base_url().'admin');
		}

		//Enviar Arreglo
		$data['titulo']  = 'login';
	    $data['sidebar'] = 'Ingreso al sistema';

		//Cargar los permisos
        $this->load->model('Security_Model');
        $profile = $this->session->userdata('profile');
        $modulo  = "all";
        $datos   = array('1', $profile, $modulo); 
		$permiso = $this->Security_Model->getAllSecurityProfile($datos);
        $data['permisos'] = $permiso;
		
		$this->load->view("admin/home", $data);
	}


}


